/***********************************************************
 * $Id: fancysane.h 1453 2015-01-18 13:33:32Z fancylibs $
 *
 * FancyLibs SANE wrapper
 *
 * Copyright (C) 2014 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/


#ifndef FANCYSANE_H
#define FANCYSANE_H

#define FANCYSANE_ABI 1

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancysane_DLL
#   define FANCYSANE_API __attribute__((dllexport))
#  else
#   define FANCYSANE_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancysane_DLL
#   define FANCYSANE_API __declspec(dllexport)
#  else
#   define FANCYSANE_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYSANE_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYSANE_INTERNAL_API
#define FANCYSANE_INTERNAL_API
#endif

#ifndef FANCYSANE_API
#define FANCYSANE_API
#endif

namespace Fancy {
namespace Sane {

  const char* FANCYSANE_API fancysane_version();
  const char* FANCYSANE_API fancysane_builddate();
}}

#endif // ! FANCYSANE_H
